export default self;
declare const self: DownloadCenter;
declare class DownloadCenter {
    /**
     * key => {
     *      path: bool|string,
     *      percent: number,
     *      pendingOb: Promise, 表明正在下载
     *      callbacks: fn[]
     *  }
     *
     */
    cacheCenter: Map<any, any>;
    setCache: (key: any, value: any) => void;
    setProgress: (key: any, percent: any, callback: any) => void;
    setPending: (key: any, promise: any) => void;
    removeProgressSub: (infos: any, fn: any) => void;
    removeSubscribeCallback: (callbacks: any, fn: any) => boolean;
    getOriginKey: ({ objectId, fileType, bucketId }: {
        objectId: any;
        fileType: any;
        bucketId: any;
    }) => string;
    getCompressKey: (infos: any) => string;
    getCompressImage(infos: any, callback: any): Promise<any>;
    downloadCompress(infos: any, callback: any): Promise<any>;
    downloadOrigin(infos: any, callback: any, checkCompress?: boolean, downloadOrigin?: boolean): Promise<boolean>;
    handleDownloadCompress(infos: any): Promise<any>;
    handleOriginDownload(infos: any, checkCompress: any, downloadOrigin: any): Promise<boolean>;
    updateCompressAfterOriginDownload(buf: any, infos: any): Promise<void>;
    clearCache(): void;
}
